<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['pages.cadastraPartida.title']}" />
	</ui:define>
	
	<ui:define name="principal">
		<p:link outcome="mostraRodadaGrupoFase.xhtml" value="#{msg['pages.mostraRodadaGrupoFase.back']}"/>
		<h1><p:outputLabel value="#{msg['pages.cadastraPartida.title']}"/></h1>
		<h:form id="formPartida">
			<p:panelGrid columns="1">	
				<p:outputLabel for="eq1" value="#{msg['pages.cadastraPartida.equipeMandante']}:"/>
				<p:selectOneMenu id="eq1" required="true"
				value="#{partidaManagedBeans.partida.equipeMandante}"
				lazy="true"
				converter="inscricaoConverter">
                	<f:selectItem itemLabel="#{msg['pages.cadastraPartida.select']}" itemValue="" noSelectionOption="false" />
					<f:selectItems Label="#{categoriaManagedBean.categoriaSelecionada.inscricoes}"
								   value="#{categoriaManagedBean.categoriaSelecionada.inscricoes}"
								   var="ins"
								   itemLabel="#{ins.equipe}"
								   itemValue="#{ins}"/>
            	</p:selectOneMenu>
				
				<p:outputLabel for="eq2" value="#{msg['pages.cadastraPartida.equipeVisitante']}:"/>
				<p:selectOneMenu id="eq2" required="true"
				value="#{partidaManagedBeans.partida.equipeVisitante}"
				lazy="true"
				converter="inscricaoConverter">
                	<f:selectItem itemLabel="#{msg['pages.cadastraPartida.select']}" itemValue="" noSelectionOption="false" />
					<f:selectItems Label="#{categoriaManagedBean.categoriaSelecionada.inscricoes}"
								   value="#{categoriaManagedBean.categoriaSelecionada.inscricoes}"
								   var="ins"
								   itemLabel="#{ins.equipe}"
								   itemValue="#{ins}"/>
            	</p:selectOneMenu>
				
				<p:outputLabel value="#{msg['pages.cadastraPartida.data']}:">
					<p:calendar id="button1" value="#{partidaManagedBeans.partida.data}" showOn="button" />
				</p:outputLabel>
				
				<p:outputLabel for="local" value="#{msg['pages.cadastraPartida.local']}:"/>
				<p:selectOneMenu id="local" required="true"
				value="#{partidaManagedBeans.partida.local}"
				lazy="true"
				converter="localConverter">
                	<f:selectItem itemLabel="#{msg['pages.cadastraPartida.select']}" itemValue="" noSelectionOption="false" />
                	<f:selectItems Label="#{categoriaManagedBean.categoriaSelecionada.campeonato.locais}"
								   value="#{categoriaManagedBean.categoriaSelecionada.campeonato.locais}"
								   var="loc"
								   itemLabel="#{loc.endereco}"
								   itemValue="#{loc}"/>
            	</p:selectOneMenu>
				
				<p:outputLabel value="#{msg['pages.cadastraPartida.grupo']}:"/>
				<p:outputLabel value="#{rodadaManagedBeans.rodadaSelecionada.grupo.nome}"/>
				
				<p:outputLabel value="#{msg['pages.cadastraPartida.relatoJuiz']}:"/>
				<p:inputText value="#{partidaManagedBeans.partida.relatoJuiz}"/>
				
				<p:commandButton value="#{msg['pages.cadastraPartida.btnSalvar']}"
						 action="#{partidaManagedBeans.salvar}"
						 update="formPartida"/>
			</p:panelGrid>
		</h:form>
		
	</ui:define>

</ui:composition>